# DXGfxLib.PointAndClickHandler Class Reference

This class knows how to handle user inputs in a point and click scenario. More...

Inherits DXGfxLib::IInputHandler, and DXGfxLib::IInputHandler.

Collaboration diagram for DXGfxLib.PointAndClickHandler:

[legend]

List of all members.

## Public Member Functions
| PointAndClickHandler ()
void | Dispose ()
virtual void | OnKeyPress (KeyEventArgs e)
virtual void | OnKeyDown (KeyEventArgs e)
virtual void | OnKeyUp (KeyEventArgs e)
virtual void | OnMouseMove (MouseEventArgs e)
virtual void | OnMouseDown (MouseEventArgs e)
virtual void | OnMouseUp (MouseEventArgs e)
virtual void | OnMouseWheel (MouseEventArgs e)
virtual void | OnMouseClick (MouseEventArgs e)
virtual void | OnMouseDoubleClick (MouseEventArgs e)
virtual void | WndProc (ref Message m)
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
void | FrameMove (float elapsedTime)
| PointAndClickHandler ()
void | Dispose ()
virtual void | OnKeyPress (KeyEventArgs e)
virtual void | OnKeyDown (KeyEventArgs e)
virtual void | OnKeyUp (KeyEventArgs e)
virtual void | OnMouseMove (MouseEventArgs e)
virtual void | OnMouseDown (MouseEventArgs e)
virtual void | OnMouseUp (MouseEventArgs e)
virtual void | OnMouseWheel (MouseEventArgs e)
virtual void | OnMouseClick (MouseEventArgs e)
virtual void | OnMouseDoubleClick (MouseEventArgs e)
virtual void | WndProc (ref Message m)
bool | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
void | FrameMove (float elapsedTime)
## Properties
Avatar | CurrentAvatar`[get, set]`

## Detailed Description

This class knows how to handle user inputs in a point and click scenario.

Click indicates to the avatar where to go. Click on objects will: Call the click on the object. Instruct the avatar to go near the object (up to the point where they collide!). Instruct the avatar to interact with the object !

Definition at line 22 of file PointAndClickHandler.cs.

## Constructor & Destructor Documentation

DXGfxLib.PointAndClickHandler.PointAndClickHandler | ( |  | ) |

Definition at line 34 of file PointAndClickHandler.cs.

DXGfxLib.PointAndClickHandler.PointAndClickHandler | ( |  | ) |

Definition at line 34 of file PointAndClickHandler.cs.

## Member Function Documentation

void DXGfxLib.PointAndClickHandler.Dispose | ( |  | ) |

Definition at line 38 of file PointAndClickHandler.cs.

void DXGfxLib.PointAndClickHandler.Dispose | ( |  | ) |

Definition at line 38 of file PointAndClickHandler.cs.

void DXGfxLib.PointAndClickHandler.FrameMove | ( | float | elapsedTime | ) |

Implements DXGfxLib.IInputHandler.

Definition at line 158 of file PointAndClickHandler.cs.

void DXGfxLib.PointAndClickHandler.FrameMove | ( | float | elapsedTime | ) |

Implements DXGfxLib.IInputHandler.

Definition at line 158 of file PointAndClickHandler.cs.

bool DXGfxLib.PointAndClickHandler.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implements DXGfxLib.IInputHandler.

Definition at line 146 of file PointAndClickHandler.cs.

bool DXGfxLib.PointAndClickHandler.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implements DXGfxLib.IInputHandler.

Definition at line 146 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnKeyDown | ( | KeyEventArgs | e | ) | `[virtual]`

Definition at line 48 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnKeyDown | ( | KeyEventArgs | e | ) | `[virtual]`

Definition at line 48 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnKeyPress | ( | KeyEventArgs | e | ) | `[virtual]`

Definition at line 42 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnKeyPress | ( | KeyEventArgs | e | ) | `[virtual]`

Definition at line 42 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnKeyUp | ( | KeyEventArgs | e | ) | `[virtual]`

Definition at line 54 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnKeyUp | ( | KeyEventArgs | e | ) | `[virtual]`

Definition at line 54 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseClick | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 84 of file PointAndClickHandler.cs.

Here is the call graph for this function:

virtual void DXGfxLib.PointAndClickHandler.OnMouseClick | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 84 of file PointAndClickHandler.cs.

Here is the call graph for this function:

virtual void DXGfxLib.PointAndClickHandler.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 110 of file PointAndClickHandler.cs.

Here is the call graph for this function:

virtual void DXGfxLib.PointAndClickHandler.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 110 of file PointAndClickHandler.cs.

Here is the call graph for this function:

virtual void DXGfxLib.PointAndClickHandler.OnMouseDown | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 66 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseDown | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 66 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseMove | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 60 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseMove | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 60 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseUp | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 72 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseUp | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 72 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseWheel | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 78 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.OnMouseWheel | ( | MouseEventArgs | e | ) | `[virtual]`

Definition at line 78 of file PointAndClickHandler.cs.

IntPtr DXGfxLib.PointAndClickHandler.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implements DXGfxLib.IInputHandler.

Definition at line 152 of file PointAndClickHandler.cs.

IntPtr DXGfxLib.PointAndClickHandler.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Implements DXGfxLib.IInputHandler.

Definition at line 152 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.WndProc | ( | ref Message | m | ) | `[virtual]`

Definition at line 140 of file PointAndClickHandler.cs.

virtual void DXGfxLib.PointAndClickHandler.WndProc | ( | ref Message | m | ) | `[virtual]`

Definition at line 140 of file PointAndClickHandler.cs.

## Property Documentation

Avatar DXGfxLib.PointAndClickHandler::CurrentAvatar`[get, set]`

Implements DXGfxLib.IInputHandler.

Definition at line 29 of file PointAndClickHandler.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/PointAndClickHandler.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/PointAndClickHandler.cs